LabelTextboxControl = class(Turbine.UI.Control)
function LabelTextboxControl:Constructor(parent, width, y, args, number)
    Turbine.UI.Control.Constructor(self)
    self:SetParent(parent)
    self:SetMouseVisible(false)
    self:SetPosition(0, y)
    self:SetBackColorBlendMode(Turbine.UI.BlendMode.Overlay)

    self.width = width
    self.number = number

    self.label = Turbine.UI.Label()
    self.label:SetParent(self)
    self.label:SetPosition(5, 0)
    self.label:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold18)
    self.label:SetFontStyle(Turbine.UI.FontStyle.Outline)
    self.label:SetOutlineColor(Turbine.UI.Color.Black)
    self.label:SetForeColor(Turbine.UI.Color.White)
    self.label:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
    self.label:SetText(args.Text)

    self.textbox = Turbine.UI.Lotro.TextBox()
    self.textbox:SetParent(self)
    self.textbox:SetForeColor(Turbine.UI.Color.White)
    self.textbox:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold18)
    self.textbox:SetText(args.Value and tostring(args.Value))

    self.textbox.TextChanged = function ()
        self:ValueChanged()
    end

    self:Format()
end

function LabelTextboxControl:ValueChanged()

end

function LabelTextboxControl:Format()
    self:SetSize(self.width, 20)
    self.label:SetSize(self.width * .3, 20)
    self.textbox:SetPosition(self.width * .3, 0)
    self.textbox:SetSize(self.width * .7, 20)
end

function LabelTextboxControl:GetValue()
    if self.number then
        return tonumber(tostring(self.textbox:GetText()))
    else
        return tostring(self.textbox:GetText())
    end
end

function LabelTextboxControl:SetValue(value)
    self.textbox:SetText(tostring(value))
end